
#include "capteur.h"

/*******************************************************
 * les constructeurs
 ***********************************************************/
capteur::capteur(){}

capteur::capteur(int pin): _pin(pin){
    pinMode(_pin, INPUT_PULLUP);
    bounceILS.attach(_pin);
    bounceILS.interval(50);
    }
capteur::capteur(int pin, char* nom): _pin(pin), _nom(nom){
    pinMode(_pin, INPUT_PULLUP);
    bounceILS.attach(_pin);
    bounceILS.interval(50);
    }

capteur::capteur(int pin,int delaiRebond, char* nom): _pin(pin), _nom(nom) {
    pinMode(_pin, INPUT_PULLUP);
    bounceILS.attach(_pin);
    bounceILS.interval(delaiRebond);
}

/*******************************************************
 * le destructeur
 ***********************************************************/
capteur::~capteur(){}

/*********************************************************
 * les methodes
 ***********************************************************/
 bool capteur::actif() {return bounceILS.fell();}
 bool capteur::actualiser() {return bounceILS.update();}


